<ng-container *transloco="let t; read: 'moderate_statistics'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">
        {{'moderate_statistics.page.' + page | transloco}}&nbsp;{{t('traffic_statistics')}}
      </span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource">
        <!-- weekly visitors -->
        <ng-container matColumnDef="week">
          <th
            *matHeaderCellDef
            mat-header-cell>
            {{t('week_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.week}}
          </td>
        </ng-container>
        <!-- monthly visitors -->
        <ng-container matColumnDef="month">
          <th
            *matHeaderCellDef
            mat-header-cell>
            {{t('month_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.month}}
          </td>
        </ng-container>
        <!-- quarter visitors -->
        <ng-container matColumnDef="quarter">
          <th
            *matHeaderCellDef
            mat-header-cell>
            {{t('quarter_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.quarter}}
          </td>
        </ng-container>
        <!-- yearly visitors -->
        <ng-container matColumnDef="year">
          <th
            *matHeaderCellDef
            mat-header-cell>
            {{t('year_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.year}}
          </td>
        </ng-container>
        <!-- one time visitors -->
        <ng-container matColumnDef="oneTimeVisit">
          <th
            *matHeaderCellDef
            mat-header-cell>
            {{t('one_time_visit_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.oneTimeVisit}}
          </td>
        </ng-container>
        <!-- between 2 - 5 times visitors -->
        <ng-container matColumnDef="twoToFiveTimes">
          <th
            *matHeaderCellDef
            mat-header-cell>
            {{t('two_to_five_visit_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.twoToFiveTimes}}
          </td>
        </ng-container>
        <!-- More than 5 times visitors -->
        <ng-container matColumnDef="moreThanFiveTimes">
          <th
            *matHeaderCellDef
            mat-header-cell>
            {{t('more_than_five_visit_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.moreThanFiveTimes}}
          </td>
        </ng-container>
        <tbody>
          <tr
            *matHeaderRowDef="displayColumns"
            mat-header-row>
          </tr>
          <tr
            *matRowDef="let row; columns: displayColumns;"
            mat-row>
          </tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              [colSpan]="displayColumns.length">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
